websocket-sharp : WebSocketSharp.Net.WebSockets Namespace

# HttpListenerWebSocketContext Class

Provides access to the WebSocket connection request objects received by the WebSocketSharp.Net.HttpListener class.

## Syntax

public class HttpListenerWebSocketContext : WebSocketContext

## Remarks

## Requirements

Namespace: WebSocketSharp.Net.WebSockets
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from WebSocketContext.

## Public Properties

[read-only] override | CookieCollection | WebSocketSharp.Net.CookieCollection . Gets the cookies used in the WebSocket opening handshake.
[read-only] abstract | CookieCollection | WebSocketSharp.Net.CookieCollection . Gets the cookies used in the WebSocket opening handshake. (Inherited from WebSocketContext.)
[read-only] override | Headers | System.Collections.Specialized.NameValueCollection . Gets the HTTP headers used in the WebSocket opening handshake.
[read-only] abstract | Headers | System.Collections.Specialized.NameValueCollection . Gets the HTTP headers used in the WebSocket opening handshake. (Inherited from WebSocketContext.)
[read-only] override | IsAuthenticated | bool . Gets a value indicating whether the client is authenticated.
[read-only] abstract | IsAuthenticated | bool . Gets a value indicating whether the client is authenticated. (Inherited from WebSocketContext.)
[read-only] override | IsLocal | bool . Gets a value indicating whether the client connected from the local computer.
[read-only] abstract | IsLocal | bool . Gets a value indicating whether the client connected from the local computer. (Inherited from WebSocketContext.)
[read-only] override | IsSecureConnection | bool . Gets a value indicating whether the WebSocket connection is secured.
[read-only] abstract | IsSecureConnection | bool . Gets a value indicating whether the WebSocket connection is secured. (Inherited from WebSocketContext.)
[read-only] override | IsValid | bool . Gets a value indicating whether the WebSocket connection request is valid.
[read-only] abstract | IsValid | bool . Gets a value indicating whether the WebSocket connection request is valid. (Inherited from WebSocketContext.)
[read-only] override | Origin | string . Gets the value of the Origin header field used in the WebSocket opening handshake.
[read-only] abstract | Origin | string . Gets the value of the Origin header field used in the WebSocket opening handshake. (Inherited from WebSocketContext.)
[read-only] override | Path | string . Gets the absolute path of the requested WebSocket URI.
[read-only] abstract | Path | string . Gets the absolute path of the requested WebSocket URI. (Inherited from WebSocketContext.)
[read-only] override | QueryString | System.Collections.Specialized.NameValueCollection . Gets the collection of query string variables used in the WebSocket opening handshake.
[read-only] abstract | QueryString | System.Collections.Specialized.NameValueCollection . Gets the collection of query string variables used in the WebSocket opening handshake. (Inherited from WebSocketContext.)
[read-only] override | RequestUri | Uri . Gets the WebSocket URI requested by the client.
[read-only] abstract | RequestUri | Uri . Gets the WebSocket URI requested by the client. (Inherited from WebSocketContext.)
[read-only] override | SecWebSocketKey | string . Gets the value of the Sec-WebSocket-Key header field used in the WebSocket opening handshake.
[read-only] abstract | SecWebSocketKey | string . Gets the value of the Sec-WebSocket-Key header field used in the WebSocket opening handshake. (Inherited from WebSocketContext.)
[read-only] override | SecWebSocketProtocols | IEnumerable<string> . Gets the values of the Sec-WebSocket-Protocol header field used in the WebSocket opening handshake.
[read-only] abstract | SecWebSocketProtocols | IEnumerable<string> . Gets the values of the Sec-WebSocket-Protocol header field used in the WebSocket opening handshake. (Inherited from WebSocketContext.)
[read-only] override | SecWebSocketVersion | string . Gets the value of the Sec-WebSocket-Version header field used in the WebSocket opening handshake.
[read-only] abstract | SecWebSocketVersion | string . Gets the value of the Sec-WebSocket-Version header field used in the WebSocket opening handshake. (Inherited from WebSocketContext.)
[read-only] | ServerEndPoint | System.Net.IPEndPoint . Gets the server endpoint as an IP address and a port number.
[read-only] override | User | System.Security.Principal.IPrincipal . Gets the client information (identity, authentication information and security roles).
[read-only] abstract | User | System.Security.Principal.IPrincipal . Gets the client information (identity, authentication information and security roles). (Inherited from WebSocketContext.)
[read-only] | UserEndPoint | System.Net.IPEndPoint . Gets the client endpoint as an IP address and a port number.
[read-only] override | WebSocket | WebSocketSharp.WebSocket . Gets the WebSocket instance used for two-way communication between client and server.
[read-only] abstract | WebSocket | WebSocketSharp.WebSocket . Gets the WebSocket instance used for two-way communication between client and server. (Inherited from WebSocketContext.)

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### CookieCollection Property

> Gets the cookies used in the WebSocket opening handshake.

> ## Syntax

> public override WebSocketSharp.Net.CookieCollection CookieCollection { get; }

> #### Value

> > A WebSocketSharp.Net.CookieCollection that contains the cookies.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Headers Property

> Gets the HTTP headers used in the WebSocket opening handshake.

> ## Syntax

> public override System.Collections.Specialized.NameValueCollection Headers { get; }

> #### Value

> > A System.Collections.Specialized.NameValueCollection that contains the HTTP headers.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsAuthenticated Property

> Gets a value indicating whether the client is authenticated.

> ## Syntax

> public override bool IsAuthenticated { get; }

> #### Value

> > `true` if the client is authenticated; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsLocal Property

> Gets a value indicating whether the client connected from the local computer.

> ## Syntax

> public override bool IsLocal { get; }

> #### Value

> > `true` if the client connected from the local computer; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsSecureConnection Property

> Gets a value indicating whether the WebSocket connection is secured.

> ## Syntax

> public override bool IsSecureConnection { get; }

> #### Value

> > `true` if the WebSocket connection is secured; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsValid Property

> Gets a value indicating whether the WebSocket connection request is valid.

> ## Syntax

> public override bool IsValid { get; }

> #### Value

> > `true` if the WebSocket connection request is valid; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Origin Property

> Gets the value of the Origin header field used in the WebSocket opening handshake.

> ## Syntax

> public override string Origin { get; }

> #### Value

> > A string that contains the value of the Origin header field.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Path Property

> Gets the absolute path of the requested WebSocket URI.

> ## Syntax

> public override string Path { get; }

> #### Value

> > A string that contains the absolute path of the requested WebSocket URI.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### QueryString Property

> Gets the collection of query string variables used in the WebSocket opening handshake.

> ## Syntax

> public override System.Collections.Specialized.NameValueCollection QueryString { get; }

> #### Value

> > A System.Collections.Specialized.NameValueCollection that contains the collection of query string variables.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### RequestUri Property

> Gets the WebSocket URI requested by the client.

> ## Syntax

> public override Uri RequestUri { get; }

> #### Value

> > A Uri that contains the WebSocket URI.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### SecWebSocketKey Property

> Gets the value of the Sec-WebSocket-Key header field used in the WebSocket opening handshake.

> ## Syntax

> public override string SecWebSocketKey { get; }

> #### Value

> > A string that contains the value of the Sec-WebSocket-Key header field.

> ## Remarks

> The SecWebSocketKey property provides a part of the information used by the server to prove that it received a valid WebSocket opening handshake.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### SecWebSocketProtocols Property

> Gets the values of the Sec-WebSocket-Protocol header field used in the WebSocket opening handshake.

> ## Syntax

> public override IEnumerable<string> SecWebSocketProtocols { get; }

> #### Value

> > An IEnumerable<string> that contains the values of the Sec-WebSocket-Protocol header field.

> ## Remarks

> The SecWebSocketProtocols property indicates the subprotocols of the WebSocket connection.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### SecWebSocketVersion Property

> Gets the value of the Sec-WebSocket-Version header field used in the WebSocket opening handshake.

> ## Syntax

> public override string SecWebSocketVersion { get; }

> #### Value

> > A string that contains the value of the Sec-WebSocket-Version header field.

> ## Remarks

> The SecWebSocketVersion property indicates the WebSocket protocol version of the connection.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ServerEndPoint Property

> Gets the server endpoint as an IP address and a port number.

> ## Syntax

> public virtual System.Net.IPEndPoint ServerEndPoint { get; }

> #### Value

> > A System.Net.IPEndPoint that contains the server endpoint.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### User Property

> Gets the client information (identity, authentication information and security roles).

> ## Syntax

> public override System.Security.Principal.IPrincipal User { get; }

> #### Value

> > A System.Security.Principal.IPrincipal that contains the client information.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### UserEndPoint Property

> Gets the client endpoint as an IP address and a port number.

> ## Syntax

> public virtual System.Net.IPEndPoint UserEndPoint { get; }

> #### Value

> > A System.Net.IPEndPoint that contains the client endpoint.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)

### WebSocket Property

> Gets the WebSocket instance used for two-way communication between client and server.

> ## Syntax

> public override WebSocketSharp.WebSocket WebSocket { get; }

> #### Value

> > A WebSocketSharp.WebSocket.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net.WebSockets
> Assembly: websocket-sharp (in websocket-sharp.dll)